astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v0.3 »
- Models And Fitting (`astropy.modeling`) »
- Disk2D

# Disk2D

class `astropy.modeling.functional_models.``Disk2D`(amplitude, x_0, y_0, R_0, **constraints)

  Bases: `astropy.modeling.core.Parametric2DModel`

  Two dimensional radial symmetric Disk model.

  Parameters:

  amplitude : float

  > Value of the disk function

  x_0 : float

  > x position center of the disk

  y_0 : float

  > y position center of the disk

  R_0 : float

  > Radius of the disk

  See also

  `Box2D`, `TrapezoidDisk2D`

  Notes

  Model formula:

  > f(r) = \left \{ \begin{array}{ll} A & : r \leq R_0 \\ 0 & : r > R_0 \end{array} \right.

  fixed: a dict
    a dictionary `{parameter_name: boolean}` of parameters to not be varied during fitting. True means the parameter is held fixed. Alternatively the `fixed` property of a parameter may be used.
  tied: dict
    a dictionary `{parameter_name: callable}` of parameters which are linked to some other parameter. The dictionary values are callables providing the linking relationship. Alternatively the `tied` property of a parameter may be used.
  bounds: dict
    a dictionary `{parameter_name: boolean}` of lower and upper bounds of parameters. Keys are parameter names. Values are a list of length 2 giving the desired range for the parameter. Alternatively the `min` and `max` properties of a parameter may be used.
  eqcons: list
    A list of functions of length `n` such that `eqcons[j](x0,*args) == 0.0` in a successfully optimized problem.
  ineqcons : list
    A list of functions of length `n` such that `ieqcons[j](x0,*args) >= 0.0` is a successfully optimized problem.

  Attributes Summary

  `R_0` |
  `amplitude` |
  `param_names` | list() -> new empty list
  `x_0` |
  `y_0` |

  Methods Summary

  `eval`(x, y, amplitude, x_0, y_0, R_0) | Two dimensional Disk model function

  Attributes Documentation

  `R_0`
  `amplitude`
  `param_names` = ['amplitude', 'x_0', 'y_0', 'R_0']
  `x_0`
  `y_0`

  Methods Documentation

  static `eval`(x, y, amplitude, x_0, y_0, R_0)

    Two dimensional Disk model function